#declare GroundTex = texture {
  pigment {
    granite
    turbulence 0.3
    color_map{
      [0.0 color DarkGreen]
      [0.1 color MediumForestGreen]
      [0.6 color ForestGreen]
      [0.7 color Tan]
      [0.9 color Gray]
      [1.0 color DarkGreen]
    }
    scale 0.5
  }
  finish {ambient 0.0 diffuse 0.6 crand 0.1 brilliance 1}
  normal {granite turbulence 0.4}
}

#declare MossTex = texture {
  pigment {
    spotted 
    pigment_map {
      [0 rgb <0.422,0.629,0.094>]*1.5
      [1 rgb <0.473,0.512,0.102>]*1.5
    }
    turbulence 0.3
    scale 0.02      
  }
  finish {ambient 0.1 diffuse 0.8 specular 0.3 roughness 0.1}
}

#declare Spore1StemTex = texture {
  pigment {
    gradient y
    color_map {
      [0.3 color rgb <0.275,0.416,0.192>]
      [0.5 color rgb <0.173,0.275,0.125>]
      [0.7 color rgb <0.275,0.416,0.192>]
    }
    scale 2
  }
  normal {crackle 0.5 form <1,0,0> turbulence 0.2 lambda 2 scale 0.25}
  finish {ambient 0.1 diffuse 0.8 phong 0.2 phong_size 10 irid {0.25 thickness 0.1 turbulence 0.5}}
}
 
#declare Spore1BulbTex = texture {
  pigment {
    crackle form <1,0,0>
    color_map {
      [0.0 color rgb <0.573,0.275,0.125>]
      [0.5 color rgb <0.404,0.518,0.239>]
    }
    scale 0.5
  }    
  normal {crackle 1 form <1,0,0> turbulence 0.2 scale 0.5}
  finish {ambient 0.1 diffuse 0.8 phong 0.2 phong_size 10 irid {0.25 thickness 0.1 turbulence 0.5}}
} 

#declare Spore2Tex = texture{
  pigment {
    crackle form <1,0,0>
    color_map {
      [0.2 color rgb <0.404,0.518,0.239>*0.8]
      [0.6 color rgb <0.275,0.416,0.192>*0.8]
      [0.9 color rgb <0.173,0.275,0.125>*0.8]
    }
    scale 2.5
  }
  normal {crackle 1 form <1,0,0> turbulence 0.2 lambda 2 scale 0.1}
  finish {ambient 0.1 diffuse 0.8 phong 0.2 phong_size 10 irid {0.25 thickness 0.1 turbulence 0.5}}
}

#declare WaterMat = material {
  texture {
    pigment {rgbt 0.95}
    finish {specular 0.9 roughness 0.01 diffuse 0.05 conserve_energy reflection {0.01, 0.9 fresnel on}}
  }
  interior {ior 1.3 caustics 0.8}
}

#declare MetalTex = texture {
  pigment_pattern {wrinkles scale 0.1}
  texture_map {
    [0 pigment { rgb <0.62,1,0.3>*0.7}
       finish {ambient 0.1 diffuse 0.8 brilliance 3 metallic specular 1 roughness 0.007}
       normal {dents 0.35 scale 0.05}]
    [1 pigment {rgb <0.567,0.915,0.567>*0.7}
       finish {ambient 0.1 diffuse 0.8 brilliance 3 metallic specular 0.7 roughness 0.02}
       normal {dents 0.5 scale 0.01}]
  }
}

#declare GlobeTex = texture {
  pigment {
    pigment_pattern {onion turbulence 1 lambda 4 scale 5}
    pigment_map {
      [0.1 crackle form <1,0,0> turbulence 0.2 color_map {[0 color rgb <0.173,0.275,0.125>][1 color rgb <0.404,0.518,0.239>]} scale 0.1]
      [0.4 color rgb <0.173,0.275,0.125>]
      [0.6 color rgb <0.173,0.275,0.125>]
      [0.9 crackle form <1,0,0> turbulence 0.2 color_map {[0 color rgb <0.173,0.275,0.125>][1 color rgb <0.404,0.518,0.239>]} scale 0.1]
    }
  }  
  normal {crackle 1 form <1,0,0> turbulence 0.2 scale 0.1}
  finish {ambient 0.0 diffuse 0.8 phong 0.2 phong_size 10 brilliance 2 irid {0.25 thickness 0.1 turbulence 0.5}}
}

#declare WingTex0 = texture {
  pigment {
    bozo 
    color_map {
      [0.000 color rgb <1.0,0.5,1.0>*1.2 transmit 0.98]
      [0.100 color rgb <1.0,0.5,1.0>*1.2 transmit 0.98]
      [0.214 color rgb <0.5,0.5,1.0>*1.2 transmit 0.98]
      [0.328 color rgb <0.2,0.2,1.0>*1.2 transmit 0.98]
      [0.442 color rgb <0.2,1.0,1.0>*1.2 transmit 0.98] 
      [0.556 color rgb <0.2,1.0,0.2>*1.2 transmit 0.98]
      [0.670 color rgb <1.0,1.0,0.2>*1.2 transmit 0.98]
      [0.784 color rgb <1.0,0.5,0.2>*1.2 transmit 0.98]
      [0.900 color rgb <1.0,0.2,0.2>*1.2 transmit 0.98]
    }
    scale 0.2
    turbulence 2
  }
  finish {ambient 0 diffuse 0.45 specular 1 metallic}
}

#declare WingTex1 = texture {
  pigment {
    bozo 
    color_map {
      [0.000 color rgb <1.0,0.5,1.0>*1.2 transmit 0.96]
      [0.100 color rgb <1.0,0.5,1.0>*1.2 transmit 0.96]
      [0.214 color rgb <0.5,0.5,1.0>*1.2 transmit 0.96]
      [0.328 color rgb <0.2,0.2,1.0>*1.2 transmit 0.96]
      [0.442 color rgb <0.2,1.0,1.0>*1.2 transmit 0.96] 
      [0.556 color rgb <0.2,1.0,0.2>*1.2 transmit 0.96]
      [0.670 color rgb <1.0,1.0,0.2>*1.2 transmit 0.96]
      [0.784 color rgb <1.0,0.5,0.2>*1.2 transmit 0.96]
      [0.900 color rgb <1.0,0.2,0.2>*1.2 transmit 0.96]
    }
    scale 0.2
    turbulence 2
  }
  finish {ambient 0 diffuse 0.45 specular 1 metallic}
}

#declare WingTex2 = texture {
  pigment {
    bozo 
    color_map {
      [0.000 color rgb <1.0,0.5,1.0>*1.2 transmit 0.94]
      [0.100 color rgb <1.0,0.5,1.0>*1.2 transmit 0.94]
      [0.214 color rgb <0.5,0.5,1.0>*1.2 transmit 0.94]
      [0.328 color rgb <0.2,0.2,1.0>*1.2 transmit 0.94]
      [0.442 color rgb <0.2,1.0,1.0>*1.2 transmit 0.94] 
      [0.556 color rgb <0.2,1.0,0.2>*1.2 transmit 0.94]
      [0.670 color rgb <1.0,1.0,0.2>*1.2 transmit 0.94]
      [0.784 color rgb <1.0,0.5,0.2>*1.2 transmit 0.94]
      [0.900 color rgb <1.0,0.2,0.2>*1.2 transmit 0.94]
    }
    scale 0.2
    turbulence 2
  }
  finish {ambient 0 diffuse 0.45 specular 1 metallic}
}

#declare WingTex3 = texture {
  pigment {
    bozo 
    color_map {
      [0.000 color rgb <1.0,0.5,1.0>*1.2 transmit 0.92]
      [0.100 color rgb <1.0,0.5,1.0>*1.2 transmit 0.92]
      [0.214 color rgb <0.5,0.5,1.0>*1.2 transmit 0.92]
      [0.328 color rgb <0.2,0.2,1.0>*1.2 transmit 0.92]
      [0.442 color rgb <0.2,1.0,1.0>*1.2 transmit 0.92] 
      [0.556 color rgb <0.2,1.0,0.2>*1.2 transmit 0.92]
      [0.670 color rgb <1.0,1.0,0.2>*1.2 transmit 0.92]
      [0.784 color rgb <1.0,0.5,0.2>*1.2 transmit 0.92]
      [0.900 color rgb <1.0,0.2,0.2>*1.2 transmit 0.92]
    }
    scale 0.2
    turbulence 2
  }
  finish {ambient 0 diffuse 0.45 specular 1 metallic}
}

#declare WingTex4 = texture {
  pigment {
    bozo 
    color_map {
      [0.000 color rgb <1.0,0.5,1.0>*1.2 transmit 0.90]
      [0.100 color rgb <1.0,0.5,1.0>*1.2 transmit 0.90]
      [0.214 color rgb <0.5,0.5,1.0>*1.2 transmit 0.90]
      [0.328 color rgb <0.2,0.2,1.0>*1.2 transmit 0.90]
      [0.442 color rgb <0.2,1.0,1.0>*1.2 transmit 0.90] 
      [0.556 color rgb <0.2,1.0,0.2>*1.2 transmit 0.90]
      [0.670 color rgb <1.0,1.0,0.2>*1.2 transmit 0.90]
      [0.784 color rgb <1.0,0.5,0.2>*1.2 transmit 0.90]
      [0.900 color rgb <1.0,0.2,0.2>*1.2 transmit 0.90]
    }
    scale 0.2
    turbulence 2
  }
  finish {ambient 0 diffuse 0.45 specular 1 metallic}
}